# Retrieve a payment method

`GET /accounts/{accountID}/payment-methods/{paymentMethodID}`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Get the specified payment method associated with a Moov account. Read our [payment methods guide](https://docs.moov.io/guides/money-movement/payment-methods/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/payment-methods.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `accountID` | path | string | Yes |  |
| `paymentMethodID` | path | string | Yes | ID of the payment method. |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `paymentMethodID` | string |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. ID of the payment method. |
| `paymentMethodType` | string |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Values: `moov-wallet`. |
| `wallet` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. |
| `wallet.walletID` | string | Yes |  |
| `wallet.partnerAccountID` | string | Yes |  |
| `wallet.walletType` | string | Yes | Type of a wallet. - `default`: The system-generated wallet automatically created when an account is granted the wallet capability. - `general`: An additional, user-defined wallet created via API or Dashboard. - `card-issuing`: The system-generated wallet automatically created when an account is granted the card-issuing capability. Values: `default`, `general`, `card-issuing`. |
| `bankAccount` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. A bank account as contained within a payment method. |
| `bankAccount.bankAccountID` | string | Yes |  |
| `bankAccount.fingerprint` | string | Yes | Once the bank account is linked, we don't reveal the full bank account number. The fingerprint acts as a way to identify whether two linked bank accounts are the same. |
| `bankAccount.status` | string | Yes | Values: `new`, `verified`, `verificationFailed`, `pending`, `errored`. |
| `bankAccount.holderName` | string | Yes |  |
| `bankAccount.holderType` | string | Yes | The type of holder on a funding source. Values: `individual`, `business`, `guest`. |
| `bankAccount.bankName` | string | Yes |  |
| `bankAccount.bankAccountType` | string | Yes | The bank account type. Values: `checking`, `savings`, `general-ledger`, `loan`. |
| `bankAccount.routingNumber` | string | Yes |  |
| `bankAccount.lastFourAccountNumber` | string | Yes |  |
| `bankAccount.updatedOn` | string (date-time) | Yes |  |
| `bankAccount.riskVerificationOutcome` | string |  | The outcome of a requested risk-verification attempt. `notAttempted` when `requestRiskVerification` was not set, or the calling account was not allowlisted. Values: `notAttempted`, `success`, `inconclusive`, `decline`. |
| `card` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. A card as contained within a payment method. |
| `card.cardID` | string | Yes | ID of the card. |
| `card.fingerprint` | string | Yes | Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform. |
| `card.brand` | string | Yes | The card brand. Values: `American Express`, `Discover`, `Mastercard`, `Visa`, `Unknown`. |
| `card.cardType` | string | Yes | The type of the card. Values: `debit`, `credit`, `prepaid`, `unknown`. |
| `card.lastFourCardNumber` | string | Yes | Last four digits of the card number |
| `card.bin` | string | Yes | The first six to eight digits of the card number, which identifies the financial institution that issued the card. |
| `card.expiration` | object | Yes | The expiration date of the card or token. |
| `card.holderName` | string |  | The name of the cardholder as it appears on the card. |
| `card.billingAddress` | object | Yes | The billing address associated with the card. |
| `card.cardVerification` | object | Yes | The results of submitting cardholder data to a card network for verification. |
| `card.issuer` | string |  | Financial institution that issued the card. |
| `card.issuerCountry` | string |  | Country where the card was issued. |
| `card.cardOnFile` | boolean |  | Indicates cardholder has authorized card to be stored for future payments. |
| `card.merchantAccountID` | string |  | Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead. |
| `card.cardAccountUpdater` | object |  | The results of the most recent card update request. |
| `card.domesticPushToCard` | string |  | Indicates which level of domestic push-to-card transfer is supported by the card, if any. Values: `not-supported`, `standard`, `fast-funds`, `unknown`. |
| `card.domesticPullFromCard` | string |  | Indicates if the card supports domestic pull-from-card transfer. Values: `not-supported`, `supported`, `unknown`. |
| `card.cardCategory` | string |  | The category or level of the card defined by the issuer. Examples include, but not limited to, "REWARDS", "TRADITIONAL REWARDS", "CLASSIC", and "CORPORATE PURCHASING". |
| `applePay` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Describes an Apple Pay token on a Moov account. |
| `applePay.brand` | string | Yes | The card brand. Values: `American Express`, `Discover`, `Mastercard`, `Visa`, `Unknown`. |
| `applePay.cardType` | string | Yes | The type of the card. Values: `debit`, `credit`, `prepaid`, `unknown`. |
| `applePay.cardDisplayName` | string | Yes | User-friendly name of the tokenized card returned by Apple. It usually contains the brand and the last four digits of the underlying card. There is no standard format. |
| `applePay.fingerprint` | string | Yes | Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform. |
| `applePay.expiration` | object | Yes | The expiration date of the card or token. |
| `applePay.dynamicLastFour` | string | Yes | The last four digits of the Apple Pay token, which may differ from the tokenized card's last four digits. |
| `applePay.issuerCountry` | string |  | Country where the underlying card was issued. |
| `terminalCard` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Describes payment card details captured with tap or in-person payment. |
| `terminalCard.entryMode` | string |  | How the card information was entered into the point of sale terminal. Values: `contactless`. |
| `terminalCard.brand` | string |  | The card brand. Values: `American Express`, `Discover`, `Mastercard`, `Visa`, `Unknown`. |
| `terminalCard.bin` | string |  |  |
| `terminalCard.cardType` | string |  | The type of the card. Values: `debit`, `credit`, `prepaid`, `unknown`. |
| `terminalCard.expiration` | object |  | The expiration date of the card or token. |
| `terminalCard.fingerprint` | string |  | Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform. |
| `terminalCard.holderName` | string |  | The name of the cardholder as it appears on the card. |
| `terminalCard.issuer` | string |  | Financial institution that issued the card. |
| `terminalCard.issuerCountry` | string |  | Country where the card was issued. |
| `terminalCard.lastFourCardNumber` | string |  | Last four digits of the card number |
| `terminalCard.applicationID` | string |  | Identifier for the point of sale terminal application. |
| `terminalCard.applicationName` | string |  | Name label for the point of sale terminal application. |
| `googlePay` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Describes a Google Pay token on a Moov account. |
| `googlePay.tokenID` | string | Yes | The unique identifier of the Google Pay token. |
| `googlePay.brand` | string | Yes | The card brand. Values: `American Express`, `Discover`, `Mastercard`, `Visa`, `Unknown`. |
| `googlePay.cardType` | string | Yes | The type of the card. Values: `debit`, `credit`, `prepaid`, `unknown`. |
| `googlePay.cardDisplayName` | string | Yes | User-friendly name of the tokenized card returned by Google Pay. It usually contains the last four digits of the underlying card. There is no standard format. |
| `googlePay.fingerprint` | string | Yes | Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform. |
| `googlePay.expiration` | object | Yes | The expiration date of the card or token. |
| `googlePay.dynamicLastFour` | string | Yes | The last four digits of the Google Pay token, which may differ from the tokenized card's last four digits. |
| `googlePay.issuerCountry` | string |  | Country where the underlying card was issued. |
| `googlePay.authMethod` | string |  | The authentication method used for the Google Pay token. Values: `PAN_ONLY`, `CRYPTOGRAM_3DS`. |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/payment-methods/{paymentMethodID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.paymentMethods.get({
    accountID: "56878537-30b0-48ee-9c54-07ab3a8b243d",
    paymentMethodID: "aa740bf3-4c5f-459b-9370-4f7d4bea382b",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/sources/payment-methods/get/
